package com.bocloud.ams.entity.instance;

import com.bocloud.ams.entity.module.Property;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: CmdbInstanceValue
 * @Description
 * @Author yangzhenrong
 * @Date 2022/5/11 14:51
 * @Version 1.0
 **/
@Data
@Table("ci_instance_value")
@EqualsAndHashCode(callSuper = true)
public class InstanceValue extends GenericEntity {
    @PK
    private Long id;
    @Column(value = "instance_id", nullable = false)
    private Long instanceId;
    @Column(value = "property_id", nullable = false)
    private Long propertyId;
    @Column(value = "property_value", length = 2056)
    private String propertyValue;
    @Column(value = "property_code", length = 256, nullable = false)
    private String propertyCode;
    @IgnoreAll
    private String uuid;
    @IgnoreAll
    private Long moduleId;
    @IgnoreAll
    private Property property;

}
