package com.bocloud.ams.entity.model;

import lombok.Data;

import java.util.List;

/**
 * @author 胡立伟
 * @program: bocloud.ams
 * @description: 实例拓扑中资源列表的搜索项以及列表的列名
 * @date 2022/5/18 18:08
 */
@Data
public class ColumnAndSearchItemModel {
    /**
     * 搜索项
     */
    private List<SearchConfigModel> searchConfigs;
    /**
     * 列表字段
     */
    private List<ColumnModel> columns;

}
