package com.bocloud.ams.entity.model;

import lombok.Data;

/**
 * @author 胡立伟
 * @program: bocloud.ams
 * @description:
 * @date 2022/5/27 14:37
 */
@Data
public class PathModel {
    /**
     * 有各个节点名称组成的字符串
     */
    private String topologyPathName;
    /**
     * 有各个节点中id组成的字符串
     */
    private String topologyPath;
    /**
     * 这个拓扑路径对于起始模型是正向的还是反向的
     */
    private Boolean pathDirection;
}
