package com.bocloud.ams.entity.model;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.util.List;

/**
 * @Author liuyuanyuan
 * @Date 2022/6/7 0007 15:05
 * @Description:
 */
@Data
public class TaskGraph {
    private String content;
    private String collectionType;
    private Long timeout;
    private String category;
    private String target;
    private String params;
    private String jdbcUrl;
    private String database;
    private String username;
    private String password;
    private String method;
    private String format;
    private String url;
    private String headers;
    private String body;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
