package com.bocloud.ams.entity.module;


import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Table("ci_property_group")
@Data
@EqualsAndHashCode(callSuper = true)
public class PropertyGroup extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 排序
     */
    @Column("order_num")
    private Integer orderNum;
    /**
     * 所属配置模型
     */
    @Column("module_id")
    private Long moduleId;

    /**
     * 0:用户定义 1:系统内置
     */
    @Column("is_reserved")
    private Boolean isReserved=false;
}
