package com.bocloud.ams.service.instance;

import com.bocloud.ams.entity.instance.InstanceRelation;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

/**
 * @Author liuyuanyuan
 * @Date 2022/5/16 0016 14:24
 * @Description:
 */
public interface InstanceRelationService {

    GeneralResult<Void> createTable(String relationCategoryCode, Long userId) throws Exception;

    GeneralResult<Void> dropTable(String relationCategoryCode, Long userId) throws Exception;

    GeneralResult<Void> create(InstanceRelation instanceRelation, RequestContext context);

    GeneralResult<Void> remove(Long id, String relationCategoryCode, Long currentModuleId, Long currentInstanceId, RequestContext context);
}
