package com.bocloud.ams.entity.collection;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @author huliwei
 * @date 2023/4/25
 */
@Data
@Table("ci_collection_history_item_bak")
public class CollectionHistoryItemBak extends Generic {

    @PK(value = PKStrategy.SELF)
    private Long id;
    @Column(value = "history_id", nullable = false)
    private Long historyId;
    @Column(value = "property_id", nullable = false)
    private Long propertyId;
    @Column(value = "property_code", length = 256, nullable = false)
    private String propertyCode;
    @Column(value = "before_value", length = 2056)
    private String beforeValue;
    @Column(value = "after_value", length = 2056)
    private String afterValue;
    @IgnoreAll
    private String propertyName;

}
