package com.bocloud.ams.entity.enums;


public class InstanceEnum {

    public enum type {
        ALL_UPDATE,//全部更新
        CLEAN_DATA//清空数据
    }

    public enum catalog {
        INSTANCE("实例"),
        RELATION("关联关系");

        private String value;

        catalog(String value) {
            this.value = value;
        }

        public String getValue() {
            return value;
        }
    }

    public enum category {
        CREATE("新增"),
        MODIFY("编辑"),
        DEL("删除"),
        BATCH_MODIFY("批量编辑"),
        BATCH_DELETE("批量删除");

        private String value;

        category(String value) {
            this.value = value;
        }

        public String getValue() {
            return value;
        }
    }

    public enum authority {
        ACCESS("ACCESS", "实例访问"),
        EDIT("EDIT", "实例编辑"),
        DEL("DEL", "实例删除"),
        AUTH_MANAGE("AUTH_MANAGE", "实例权限管理");

        private String value;
        private String name;

        authority(String value, String name) {
            this.value = value;
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public String getName() {
            return name;
        }
    }
}
