package com.bocloud.ams.entity.instance;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @ClassName: CmdbInstance
 * @Description
 * @Author yangzhenrong
 * @Date 2022/5/11 14:45
 * @Version 1.0
 **/
@Data
@Table("ci_instance")
@EqualsAndHashCode(callSuper = true)
public class Instance extends GenericEntity {

    @PK
    private Long id;
    @Column(value = "uuid", length = 256, nullable = false)
    private String uuid;
    @Column(value = "module_id", nullable = false)
    private Long moduleId;
    @Column(value = "module_code", length = 128, nullable = false)
    private String moduleCode;
    @IgnoreAll
    private List<InstanceValue> instanceValues;
}
