package com.bocloud.ams.entity.model;

import java.util.List;

import com.bocloud.ams.entity.module.CiModule;

import lombok.Data;

/**
 * @Description: 模型拓扑数据
 * @Title: CmdbModuleTopo
 * @Author: majiali
 * @CreateTime: 2022/5/13 15:43
 */
@Data
public class ModuleTopo {
    List<CiModule> nodes;
    List<ModuleLink> links;

    public ModuleTopo() {
        super();
    }

    public ModuleTopo(List<CiModule> nodes, List<ModuleLink> links) {
        super();
        this.nodes = nodes;
        this.links = links;
    }

}
