package com.bocloud.ams.task.model;

import com.alibaba.fastjson.JSON;

public class JobResult {

    private Job job;
    private boolean success;
    private String msg;
    private Long time;
    private String exeSeqId;

    public JobResult() {
        super();
    }

    public JobResult(boolean success, String msg, Job job) {
        super();
        this.success = success;
        this.msg = msg;
        this.job = job;
    }

    public Job getJob() {
        return job;
    }

    public void setJob(Job job) {
        this.job = job;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public String getExeSeqId() {
        return exeSeqId;
    }

    public void setExeSeqId(String exeSeqId) {
        this.exeSeqId = exeSeqId;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
